V1 Update a Rate Lock Request

Update rate lock request of a specified request ID for a loan. A rate lock request can be updated if it has not been confirmed or denied or cancelled. Updating a rate lock request will not create a new request.

Usage Notes

  • When providing price adjustments in the request payload for the buyside, sell side, or comparision side columns buySide.adjustments, sellSide.adjustments, or comparision.adjustments, you should include them in the sequential order in which they occurred. Retrieve the Rate Lock Request to get the sequential order of the adjustments.
  • When updating a rate lock extension request, the buyside.lockExtendPriceAdjustment (field 3365) and buyside adjustments are automatically copied from the lock extension request. There is no need to include them in the request payload. However, if you do, be aware of the following:
    • The buyside adjustments should ideally be provided in the sequential order in which the extension requests originally occurred. Retrieve the Rate Lock Request to get the sequential order of the adjustments.
    • If the user includes buyside.LockExtendPriceAdjustment (field 3365) in the payload, it will be set to the last extension adjustment in the 'buySide.adjustments' object.
    • If the user does not include buyside.LockExtendPriceAdjustment (field 3365) in the payload, the extension adjustments in the 'buySide.adjustments' object will be set in the order in which they were provided in the request payload.
Path Params
string
required

The unique identifier assigned to the loan.

string
required

Unique identifier assigned to the request. The requestId is returned in the response as part of the location header after submitting a rate lock request.

Query Params
string

Comma separated list of entities in the rate lock request to be cleared out. Possible values: buySide, sellSide

boolean

If true, the API will copy current loan data to the corresponding rate lock snapshot fields before confirming the rate lock. Default is false.

boolean

If true, the API will exclude Interest Rate (field ID 3) and will not copy the current value to corresponding Lock Request Base Rate (field ID 2092). Default is false.
Note: True can only be provided in conjunction with action Query Parameters, where action = “confirm”, “sellComparisonUpdate”, or “revise”.

Body Params

Objects and attributes defined in the loanRateLock contract.

string

Unique identifier of the rate lock request.

string

Lock request type. Possible values: lock, re-lock, extension, trade extension, *cancellation

string

Status of the rate lock before there is an action performed on the request. Possible values: not locked, active lock, cancelled lock, expired lock

string

Status of the lock request. Possible values: requested, locked, old lock, old request, expired, cancelled, extension requested, denied, registered, old registration

int32

Indicates the total number of lock days for the request.

string

Date on which the rate lock expires.

requestedBy
object

The entityReferenceContract describing the entity or user who submitted the lock request.

date-time

The date and time when the lock request is created.

date-time

The date and time when lock request was fulfilled.

fulfilledBy
object

The entityReferenceContract describing the entity or user who fulfilled the lock request.

investor
object

Object containing investor information.

date-time

Investor's delivery date.

requestIndicators
array of strings

Flags that indicate the status of the request. Possible values:

  • hideLog - Indicates the lock request log needs to be hidden.
  • fakeRequest - Indicates the lock is created with/out a request.
  • lockExtension - Indicates the lock is extended.
  • lockCancellation - Indicates the lock is cancelled.
  • *reLock - Indicates that the rate lock is re-locked.
requestIndicators
parentLockRequest
object

Object containing attributes that describe the parent lock request.

string

Investor's commitment.

loanInformation
object

Object containing attributes that describe loan information.

lockRequest
object

Object containing attributes that define the lock request.

buySide
object

Object containing buy side information.

sellSide
object

Object containing sell side information.

comparison
object

Object containing comparision information.

customFields
array of objects

Array of objects containing custom fields information.

customFields
boolean

Indicates if voidable.

boolean

Indicates if cancellable.

boolean

Indicate if extendable.

boolean

Indicates if zero par pricing for retail lending is enabled.

boolean

Indicates if zero par pricing for wholesale lending is enabled.

Headers
string
required

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json